<?php
$reportSales = 1;
require_once 'ReportSalesByContractor.inc';

/*****************************************************/
/********************** SMARTY ***********************/
/*****************************************************/
$Calendar_daFormat = str_replace("d","%d",str_replace("m","%m",str_replace("Y","%Y",$GLOBALS['timedate']->get_date_format())));
// Default value from date input
$currentDate = $GLOBALS['timedate']->to_display_date($date_from);
$date_from = $GLOBALS['timedate']->to_display_date($date_from);
$date_to = $GLOBALS['timedate']->to_display_date($date_to);

// create & execute smarty
$smarty = new Sugar_Smarty ();
global $mod_strings;
$smarty -> assign( "MOD", $mod_strings );
$smarty -> assign( "SUM", $sum);
$smarty -> assign( "ContractorData", $newArray);
$smarty -> assign( "date_from", $date_from );
$smarty -> assign( "date_to", $date_to );
$smarty -> assign("dateFormat", $Calendar_daFormat);
$smarty -> assign("searchByType", $searchByType);
$smarty -> assign( "USERS", $datausers);
$smarty -> assign( "selectedUser", $selectUser);
$smarty -> assign( "selectedPdfType", $selectPdfType);
$smarty -> assign( "group_media_saturn_holding", $group_media_saturn_holding);
$smarty -> assign( "reportSales", $reportSales);

// Eksport do PDF
if( $_GET['toPDF'] == '1' ) {
	$output = $smarty->fetch( 'modules/EcmReports/tpls/PDF/ReportSalesByContractor.tpl' );
	include_once ("include/MPDF57/mpdf.php");
	$p = new mPDF ( '', 'A4', null, 'helvetica', 10, 10, 10, 10, 5, 5 );
	
	$p->setTitle($mod_strings["LBL_SUBPANEL_TITLE"]);
	$p->writeHTML( $output );
	$p->Output ('RaportSprzedazyPoKontrahencie.pdf', 'I');
} else {
	echo $smarty->display ( 'modules/EcmReports/tpls/ReportSalesByContractor2.tpl' );
}

?>
